import { memo } from "react";

function IconBarber() {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="133.333"
      height="133.333"
      version="1"
      viewBox="0 0 100 100"
    >
      <path
        d="M500 911c0-12 4-20 9-17 12 8 45-46 76-125 14-35 23-50 20-34-8 38-72 170-91 186-11 9-14 7-14-10zM512 865c-1-11 5-49 12-85 8-36 14-56 14-45 1 11-5 49-12 85-8 36-14 56-14 45zM351 808c28-54 84-121 142-169 51-42 64-60 74-98l13-46-6 44c-4 41-13 52-84 119-80 74-126 129-117 138 9 10 161-107 174-134 7-15 11-19 8-9s-5 27-5 36c0 10-6 18-12 18-7 0-52 27-99 61-48 34-89 62-93 62s-1-10 5-22z"
        transform="matrix(.1 0 0 -.1 0 100)"
      />
      <path
        d="M615 670c3-21 15-43 30-55 29-24 34-51 8-40-48 19-53 18-52-11 1-24 2-25 6-6 5 27 9 27 50 2s57-54 43-79c-14-28-13-38 10-59 13-12 18-25 14-35-9-24-34-21-34 3 0 23-42 70-62 70-7 0-4-6 7-12 26-14 45-38 45-57-1-11-7-7-21 12-35 46-89 31-89-26 0-16-4-26-10-22-14 9-12-1 3-17 6-7 41-57 76-110 35-54 66-98 68-98 6 0-2 13-65 109-47 70-56 90-56 130-1 43 1 46 26 49 21 3 30-3 43-27 11-22 23-31 40-31 53 0 60 77 14 163-32 61-32 87-1 87 23 0 63-41 96-100 25-43 38-50 15-8-6 11-8 22-6 25 11 10 49-20 63-50l15-32-6 30-6 30 26-26c14-14 37-52 50-85 14-32 25-52 25-43 0 33-59 134-90 152-16 10-30 24-30 32 0 19-40 45-70 45-15 0-31 9-38 21-11 18-20 20-52 16-47-6-65 6-79 53l-11 35 5-35zm220-116c9-9 14-18 12-20-6-7-54 13-62 25-10 17 32 13 50-5zM730 440c0-22-1-23-16-8-11 10-14 23-9 38 6 18 9 20 16 9 5-8 9-25 9-39zM375 570c-43-44-50-47-61-32-10 14-11 13-7-10 3-18-2-36-16-53-22-29-61-126-61-153 0-10 11 0 25 24 29 50 71 72 93 50 13-12 12-22-7-77-27-81-27-96 1-39 12 25 29 50 38 57 12 9 13 14 3 24-18 19-16 34 2 19 26-22 43 4 20 30-19 21-8 29 13 8 9-9 15-9 24 0s7 16-7 32c-19 21-8 29 13 8 9-9 15-9 24 0s7 16-7 32c-19 21-8 29 13 8 9-9 15-9 25 1s5 18-23 42c-35 29-30 41 6 14 10-8 28-15 39-15 16 0 12 7-20 40-21 22-48 40-60 40s-42-22-70-50zm115 14c38-32 34-41-8-17-44 26-53 6-12-27 40-33 35-53-6-21-27 21-54 28-54 14 0-5 14-20 32-35 39-31 31-50-8-19-27 21-54 28-54 14 0-5 14-20 32-35 39-31 31-50-8-19-28 22-54 28-54 12 0-5 14-21 32-35s29-28 26-32c-4-3-19 3-34 15-34 26-54 27-88 0-33-26-33-16 3 46 40 68 128 165 151 165 10 0 33-12 50-26zm-45-64c3-5 2-10-4-10-5 0-13 5-16 10-3 6-2 10 4 10 5 0 13-4 16-10zm-30-40c3-5 2-10-4-10-5 0-13 5-16 10-3 6-2 10 4 10 5 0 13-4 16-10zm-30-40c3-5 2-10-4-10-5 0-13 5-16 10-3 6-2 10 4 10 5 0 13-4 16-10zM230 513c-20-21-41-45-46-54-5-8-37-32-70-52-34-20-69-48-78-62-25-39-19-39 15 0s47 40 30 3c-10-20-10-21 1-4 27 41 67 81 73 74 4-4 0-17-9-30-9-12-16-29-15-38 0-9 4-7 9 7 21 52 96 157 124 174 17 10 25 19 17 19-7 0-30-17-51-37z"
        transform="matrix(.1 0 0 -.1 0 100)"
      />
      <path
        d="M612 500c0-19 2-27 5-17 2 9 2 25 0 35-3 9-5 1-5-18zM581 477c0-11-10-30-21-44s-20-35-19-47c1-16 3-14 10 9 5 16 16 35 25 42s14 21 11 35c-3 16-5 18-6 5zM283 162c-18-36-31-67-29-69 1-2 18 26 36 62s31 67 29 69-19-26-36-62z"
        transform="matrix(.1 0 0 -.1 0 100)"
      />
    </svg>
  );
}

export default memo(IconBarber);
